CSSValue (Common DOM API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.css
Interface CSSValue

All Known Subinterfaces:
  CSSPrimitiveValue, CSSValueList

public interface CSSValue

The `CSSValue` interface represents a simple or a complex value. A `CSSValue` object only occurs in a context of a CSS property.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

Field Summary
`static short` | `CSS_CUSTOM` The value is a custom value.
`static short` | `CSS_INHERIT` The value is inherited and the `cssText` contains "inherit".
`static short` | `CSS_PRIMITIVE_VALUE` The value is a primitive value and an instance of the `CSSPrimitiveValue` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.
`static short` | `CSS_VALUE_LIST` The value is a `CSSValue` list and an instance of the `CSSValueList` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

Method Summary
`String` | `getCssText()` A string representation of the current value.
`short` | `getCssValueType()` A code defining the type of the value as defined above.
`void` | `setCssText(String cssText)`

Field Detail

### CSS_INHERIT

    public static final short CSS_INHERIT

  The value is inherited and the `cssText` contains "inherit".

  See Also:
    Constant Field Values

### CSS_PRIMITIVE_VALUE

    public static final short CSS_PRIMITIVE_VALUE

  The value is a primitive value and an instance of the `CSSPrimitiveValue` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

  See Also:
    Constant Field Values

### CSS_VALUE_LIST

    public static final short CSS_VALUE_LIST

  The value is a `CSSValue` list and an instance of the `CSSValueList` interface can be obtained by using binding-specific casting methods on this instance of the `CSSValue` interface.

  See Also:
    Constant Field Values

### CSS_CUSTOM

    public static final short CSS_CUSTOM

  The value is a custom value.

  See Also:
    Constant Field Values

Method Detail

### getCssText

    public String getCssText()

  A string representation of the current value.

  Throws:
    `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error (according to the attached property) or is unparsable.
    INVALID_MODIFICATION_ERR: Raised if the specified CSS string value represents a different type of values than the values allowed by the CSS property.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this value is readonly.

### setCssText

    public void setCssText(String cssText)
                    throws DOMException

    `DOMException`

### getCssValueType

    public short getCssValueType()

  A code defining the type of the value as defined above.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

Common DOM API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.